# nng_http_res_get_version(3http) Manual Page

## NAME

nng_http_res_get_version - return HTTP response protocol version

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>

    const char *nng_http_res_get_version(nng_http_res *res);

## DESCRIPTION

The `nng_http_res_get_version()` returns a string representing the HTTP protocol version associated with the request res, such as "HTTP/1.1".

## RETURN VALUES

Response version as a string.

## ERRORS

None.

## SEE ALSO

nng_http_res_alloc(3http), nng_http_res_set_version(3http), nng(7)